| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Private Attributes | List of all members
ModuleIncident Class Reference

base class for Module-related incident More...

`#include <GaudiKernel/ModuleIncident.h>`

Inheritance diagram for ModuleIncident:
[legend]
Collaboration diagram for ModuleIncident:
[legend]

## Public Member Functions
Accessors
const std::string & | module () const
| the model (DLL) being worked on More...
Public Member Functions inherited from Incident
| Incident (const std::string &source, const std::string &type)
| Default Constructor. More...
| Incident (const std::string &source, const std::string &type, const EventContext &ctx)
virtual | ~Incident ()=default
| Destructor. More...
const std::string & | type () const
| Access to the incident type. More...
const std::string & | source () const
| Access to the source of the incident. More...
EventContext | context () const
| Access to the EventContext of the source of the incident. More...

## Protected Member Functions
protected structors
| ModuleIncident (std::string source, std::string type, std::string module)
virtual | ~ModuleIncident ()=default

## Private Attributes
std::string | m_module
| the model (DLL) being worked on More...

## Detailed Description

base class for Module-related incident

Author
  P. Calafiura

Definition at line 13 of file ModuleIncident.h.

## Constructor & Destructor Documentation

ModuleIncident::ModuleIncident | ( | std::string | source,
|  | std::string | type,
|  | std::string | module
| ) |  |
| inline protected

Definition at line 18 of file ModuleIncident.h.

22 : Incident( std::move( source ), std::move( type ) ), m_module( std::move( module ) )
23 {
24 }
ModuleIncident::m_module
std::string m_module
the model (DLL) being worked on
Definition: ModuleIncident.h:38
std::move
T move(T...args)
Incident::Incident
Incident(const std::string &source, const std::string &type)
Default Constructor.
Definition: Incident.cpp:5

virtual ModuleIncident::~ModuleIncident | ( |  | ) |
| protected virtual default

## Member Function Documentation

const std::string& ModuleIncident::module | ( |  | ) | const
| inline

the model (DLL) being worked on

Definition at line 34 of file ModuleIncident.h.

34 { return m_module; }
ModuleIncident::m_module
std::string m_module
the model (DLL) being worked on
Definition: ModuleIncident.h:38

## Member Data Documentation

std::string ModuleIncident::m_module
| private

the model (DLL) being worked on

Definition at line 38 of file ModuleIncident.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ModuleIncident.h